Bug 196170 - Autocompletion window pops up too aggressively
Autocompletion window pops up too aggressively
Status: VERIFIED FIXED
Product: xml
Classification: Unclassified
Component: Text-Edit
7.0
All All
: P2 (vote)
: 7.0
Assigned To: Denis Anisimov
issues@xml
: 70_HR_FIX, USABILITY
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-01 18:07 UTC by Petr Jiricka
Modified: 2011-03-25 13:12 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Jiricka 2011-03-01 18:07:54 UTC
1. Create a schema-based XML document (e.g. web.xml in web project):
<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns="http://java.sun.com/xml/ns/javaee"
	 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	 xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_3_0.xsd"
	 version="3.0">
</web-app>

2. Place caret after the opening <web-app ...> element and press enter.
3. Code completion window with possible choices appears, so when I press enter again, it does not do what I intended - instead it selects a choice in the completion window. Or if I press up/down arrows, it again does not do what I intended.

This behavior is inconsistent with other file types.
Comment 1 Denis Anisimov 2011-03-15 09:25:31 UTC
I've removed the automatic completion popup if "entered text is empty".
It means that f.e. for special keys ( enter , space, up, down, .... ) there will
be no autocompletion.
But autocompletion still works for real entered text. I believe this is useful.
In case if you think autcompletion should be completely disabled please downgrade 
this issue and reopen it.

There is not other requests to remove this feature so I think it is useful 
( except reported really annoying problem with enter key ).

changeset:   190772:577693fbf14d
Comment 2 Marian Mirilovic 2011-03-15 10:10:55 UTC
TM = 7.0 - does it mean you fixed it into release70 branch directly?
Comment 3 Denis Anisimov 2011-03-15 10:18:33 UTC
No , sorry.
I've fixed it in the trunk .
Am I wrong ?
Comment 4 Petr Jiricka 2011-03-15 10:26:11 UTC
Thanks a lot Denis, I think the behavior as you describe it is good. I am marking this as a 7.0 candidate. 

What Marian meant - you should set TM to Dev, because right now this is only fixed in trunk (Dev). See: http://wiki.netbeans.org/NB70HighResistance
Comment 5 Denis Anisimov 2011-03-15 10:27:37 UTC
Thanks for correction.
Comment 6 Quality Engineering 2011-03-16 09:42:35 UTC
Integrated into 'main-golden', will be available in build *201103160400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/577693fbf14d
User: Denis Anisimov <ads@netbeans.org>
Log: Fix for BZ#196170 - Autocompletion window pops up too aggressively
Comment 7 Denis Anisimov 2011-03-23 18:45:29 UTC
David, could you please review the fix ?
Comment 8 David Konecny 2011-03-23 23:55:47 UTC
The fix looks innocent. And fixes the problem.
Comment 9 Denis Anisimov 2011-03-24 05:17:27 UTC
Thanks!
Comment 10 Marian Mirilovic 2011-03-24 08:35:34 UTC
(In reply to comment #8)
> The fix looks innocent. And fixes the problem.

Ok, Dennis could you please integrate the fix into rleease70 today by 8pm CET? Thanks in advance.
Comment 11 Denis Anisimov 2011-03-24 17:42:43 UTC
I'm sorry Marian but I've tried to follow the procedure :
http://wiki.netbeans.org/NB70HighResistance
And there is still no QA approval.

OK, I will fix into release70.
Comment 12 Denis Anisimov 2011-03-24 19:00:49 UTC
changeset:   195381:fa571eea7e9b
branch:      release70
Comment 13 Jiri Skrivanek 2011-03-25 13:12:36 UTC
Verified in build 7.0 RC1 (Build 201103250000).


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo